Module jdk.compiler
Package com.sun.source.tree

# Interface PatternCaseLabelTree

All Superinterfaces:
  `CaseLabelTree`, `Tree`

public interface PatternCaseLabelTree extends CaseLabelTree
A case label element that refers to an expression

Since:
  21

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`PatternTree`
`getPattern()`
The pattern for the case.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getPattern

PatternTree getPattern()
The pattern for the case.

Returns:
  the pattern